Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.remote.local
Class LocalConnector

    java.lang.Object
      mx4j.tools.remote.AbstractJMXConnector
          mx4j.tools.remote.local.LocalConnector

All Implemented Interfaces:
  javax.management.remote.JMXConnector, java.io.Serializable

public class LocalConnector
extends AbstractJMXConnector

Version:
  $Revision: 1.9 $
See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.management.remote.JMXConnector
`CREDENTIALS`

Constructor Summary
`LocalConnector(javax.management.remote.JMXServiceURL url, java.util.Map environment)`

Method Summary
`protected void` | `doClose()` Template method to be implemented by subclasses to close this JMXConnector
`protected void` | `doConnect(java.util.Map environment)`
`protected javax.management.MBeanServerConnection` | `doGetMBeanServerConnection(javax.security.auth.Subject delegate)` Template method to be implemented by subclasses to return an MBeanServerConnection for the given delegate subject.
`java.lang.String` | `getConnectionId()`

Methods inherited from class mx4j.tools.remote.AbstractJMXConnector
`addConnectionNotificationListener, close, connect, connect, createConnectionNotificationEmitter, getAddress, getConnectionNotificationEmitter, getMBeanServerConnection, getMBeanServerConnection, isClosed, isConnected, removeConnectionNotificationListener, removeConnectionNotificationListener, sendConnectionNotificationClosed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalConnector

    public LocalConnector(javax.management.remote.JMXServiceURL url,
                          java.util.Map environment)
                   throws java.io.IOException

Method Detail

### doConnect

    protected void doConnect(java.util.Map environment)
                      throws java.io.IOException,
                             java.lang.SecurityException

  Specified by:
    `doConnect` in class `AbstractJMXConnector`
  Throws:
    `java.io.IOException`
    `java.lang.SecurityException`

### doClose

    protected void doClose()
                    throws java.io.IOException

  Description copied from class: `AbstractJMXConnector`
  Template method to be implemented by subclasses to close this JMXConnector

  Specified by:
    `doClose` in class `AbstractJMXConnector`
  Throws:
    `java.io.IOException`

### doGetMBeanServerConnection

    protected javax.management.MBeanServerConnection doGetMBeanServerConnection(javax.security.auth.Subject delegate)
                                                                         throws java.io.IOException

  Description copied from class: `AbstractJMXConnector`
  Template method to be implemented by subclasses to return an MBeanServerConnection for the given delegate subject. This method should return an MBeanServerConnection that delegates method calls to a `JMXConnection` (or an equivalent client side connection object). The JMXConnection object to which calls are delegated can in turn be a chain of objects that decorate the call performing some other operation; the final object in the chain is the one that really communicates with the server side, and it is normally called ClientInvoker.

  Specified by:
    `doGetMBeanServerConnection` in class `AbstractJMXConnector`
  Throws:
    `java.io.IOException`

### getConnectionId

    public java.lang.String getConnectionId()
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.